#
# Conditional build:
%bcond_with	tests	# unit tests (not included in pypi release)

Summary:	Python 3 interface to pkg-config
Summary(pl.UTF-8):	Interfejs Pythona 3 do narzędzia pkg-config
Name:		python3-pkgconfig
Version:	1.5.5
Release:	3
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pkgconfig/
Source0:	https://files.pythonhosted.org/packages/source/p/pkgconfig/pkgconfig-%{version}.tar.gz
# Source0-md5:	12523e11b91b050ca49975cc033689a4
URL:		https://github.com/matze/pkgconfig
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest >= 3.8.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pkgconfig is a Python module to interface with the pkg-config command
line tool.

%description -l pl.UTF-8
pkgconfig to moduł Pythona do współpracy z narzędziem linii poleceń
pkg-config.

%prep
%setup -q -n pkgconfig-%{version}

%build
%py3_build

%{?with_tests:%{__python3} -m pytest test_pkgconfig.py}

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/pkgconfig
%{py3_sitescriptdir}/pkgconfig-%{version}-py*.egg-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pkgconfig.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ed1df11
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> a7bd144
- python 3.13 rebuild

* Sat Oct 22 2022 Jakub Bogusz <qboosh@pld-linux.org> f378ae3
- python-pkgconfig.spec updated to 1.5.5 for python 3.3+

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> c132177
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 125b169
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> dddf9fa
- rebuild with python 3.10

* Thu Mar 24 2022 Jakub Bogusz <qboosh@pld-linux.org> d54e369
- updated to 1.5.2 (the last working with python2)

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> a995004
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> b1e5aa6
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Oct 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 1828b13
- updated to 1.5.1

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 96b2f7b
- release 2 (by relup.sh)

* Fri Apr 21 2017 Jakub Bogusz <qboosh@pld-linux.org> 7887940
- better tests description

* Fri Apr 21 2017 Jakub Bogusz <qboosh@pld-linux.org> 1d1c7ca
- new

